# IPlugin

### Methods

<table data-full-width="true"><thead><tr><th align="right">Name</th><th align="center">Parameters</th><th align="center">Return</th><th align="center">Description</th></tr></thead><tbody><tr><td align="right">PostLoad</td><td align="center"></td><td align="center">void</td><td align="center">Method that is invoked after <strong>all</strong> plugins have been loaded</td></tr><tr><td align="right">Shutdown</td><td align="center"></td><td align="center">void</td><td align="center">Method that is invoked when the server gets shutdown (<code>SIGTERM</code>)</td></tr></tbody></table>

### Variables

<table data-full-width="true"><thead><tr><th align="right">Name</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="right">Author</td><td align="center">string</td><td align="center">Author of the plugin</td></tr><tr><td align="right">Name</td><td align="center">string</td><td align="center">Name of the plugin</td></tr><tr><td align="right">Version</td><td align="center">System.Version</td><td align="center">Version of the plugin, consisting of <code>(int major, int minor, int build, int revision)</code></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hogwarp.com/hogwarp/scripting/server-side/api-documentation/server/iplugin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
